From 21a846e258fb40ee7ec04aae6a8a8f340745f923 Mon Sep 17 00:00:00 2001
From: Andreas Schuh <andreas.schuh.84@googlemail.com>
Date: Mon, 2 Jan 2012 18:47:37 -0500
Subject: [PATCH] Modified Projects drop-down menu to show all public projects if no users logged in and added View all projects entry.

---
 app/views/layouts/base.rhtml |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/app/views/layouts/base.rhtml b/app/views/layouts/base.rhtml
index 9acffb2..7119537 100644
--- a/app/views/layouts/base.rhtml
+++ b/app/views/layouts/base.rhtml
@@ -47,12 +47,19 @@
           <%= link_to l(:label_project_plural), { :controller => 'projects', :action => 'index' }, :class => "projects" %>
           <ul style="display:none;">
             <%
+            if User.current.logged?
+              project_list = User.current.projects.all
+            else
+              project_list = Project.visible.find(:all, :order => 'lft')
+            end
             project_content = ''
-            project_tree(User.current.projects.all) do |project, level|
+            project_tree(project_list) do |project, level|
               name_prefix = (level > 0 ? ('&nbsp;' * 2 * level + '&#187; ') : '')
               project_content << content_tag(:li,
                                      link_to(name_prefix + h(project), {:controller => 'projects', :action => 'show', :id => project, :jump => current_menu_item}))
             end
+            project_content << "<hr />\n"
+            project_content << content_tag(:li, link_to('View all projects', {:controller => 'projects', :action => 'index'}))
             %>
             <%= project_content %>
           </ul>
-- 
1.7.0.4

